///<reference path="/Scripts/ExtPB_Net.js" />
///<reference path="/Scripts/MyExtPB.js" />
///<reference path="/Scripts/ExtPB_Dll_Pb_Http.js" />
///<reference path="/Scripts/MyExtPb_Input.js" />
///<reference  path="/DiaoBo/Base/W_DiaoBo_Base.win.js" /> 

//注意,需要在对象定义后面，手工增加以下代码实现对象继承
// W_DiaoBoDingDan.prototype = new W_DiaoBo_Base( ); 

function W_DiaoBoDingDan() {

	 var self=this;
	 var requestor= new PBWindow();
	 var tab_1= new TabControl( requestor );
	 var dw_hz= new DataWindow( requestor );
	 var dw_mkfhjb= new DataWindow( requestor );
	 var dw_mx= new DataWindow( requestor );
	 var dw_mx_top= new DataWindow( requestor );
	 var dw_ddfs= new DataWindow( requestor );
	 var dw_35_kc= new DataWindow( requestor );
	 var sle_tmh= new SingleLineEdit( requestor );
	 var dw_ls_flda= new DataWindow( requestor );
	 var dw_ddmx_top_tmlr= new DataWindow( requestor );
	 var tb_1= new ToolStrip( requestor );

	 if(typeof(this.bind)=="function") var baseBind=this.bind;
	 this.bind=function(win){
	 if(typeof( baseBind )=="function") baseBind(win);

		 if(requestor == null ) requestor= new PBWindow();
		 requestor.Attach(win);
		 if(tab_1 == null ) tab_1= new TabControl( requestor );
		 tab_1.Attach( win.Control( "tab_1") ); 
		 if(dw_hz == null ) dw_hz= new DataWindow( requestor );
		 dw_hz.Attach( win.Control( "dw_hz") ); 
		 if(dw_mkfhjb == null ) dw_mkfhjb= new DataWindow( requestor );
		 dw_mkfhjb.Attach( win.Control( "dw_mkfhjb") ); 
		 if(dw_mx == null ) dw_mx= new DataWindow( requestor );
		 dw_mx.Attach( win.Control( "dw_mx") ); 
		 if(dw_mx_top == null ) dw_mx_top= new DataWindow( requestor );
		 dw_mx_top.Attach( win.Control( "dw_mx_top") ); 
		 if(dw_ddfs == null ) dw_ddfs= new DataWindow( requestor );
		 dw_ddfs.Attach( win.Control( "dw_ddfs") ); 
		 if(dw_35_kc == null ) dw_35_kc= new DataWindow( requestor );
		 dw_35_kc.Attach( win.Control( "dw_35_kc") ); 
		 if(sle_tmh == null ) sle_tmh= new SingleLineEdit( requestor );
		 sle_tmh.Attach( win.Control( "sle_tmh") ); 
		 if(dw_ls_flda == null ) dw_ls_flda= new DataWindow( requestor );
		 dw_ls_flda.Attach( win.Control( "dw_ls_flda") ); 
		 if(dw_ddmx_top_tmlr == null ) dw_ddmx_top_tmlr= new DataWindow( requestor );
		 dw_ddmx_top_tmlr.Attach( win.Control( "dw_ddmx_top_tmlr") ); 
		 if(tb_1 == null ) tb_1= new ToolStrip( requestor );
		 tb_1.Attach( win.Control( "tb_1") ); 

	 }

	 if(typeof(this.unbind)=="function") var baseUnBind=this.unbind; 
	 this.unbind=function() {
	 if(typeof(this.Release)=="function") this.Release(); 
	 if(typeof(baseUnBind)=="function") baseUnBind(); 

		 tab_1.Detach(); tab_1=null; 
		 dw_hz.Detach(); dw_hz=null; 
		 dw_mkfhjb.Detach(); dw_mkfhjb=null; 
		 dw_mx.Detach(); dw_mx=null; 
		 dw_mx_top.Detach(); dw_mx_top=null; 
		 dw_ddfs.Detach(); dw_ddfs=null; 
		 dw_35_kc.Detach(); dw_35_kc=null; 
		 sle_tmh.Detach(); sle_tmh=null; 
		 dw_ls_flda.Detach(); dw_ls_flda=null; 
		 dw_ddmx_top_tmlr.Detach(); dw_ddmx_top_tmlr=null; 
		 tb_1.Detach(); tb_1=null; 
		 requestor.Detach(); requestor=null; 

		 setTimeout(CollectGarbage, 100); 
	 }

	 //以上代码由设计器自动生成,请不要手工修改
	 //ExtPB.Net JavaScript End  设计器查找标志,请不要删除或修改
} 
W_DiaoBoDingDan.prototype = new W_DiaoBo_Base(); 